Name:           fuse-lessfs
Version:        1.7.0
%define rversion	1.7.0
Release:        1.1
Summary:        Inline Data de-duplicating Filesystem
Source:		http://downloads.sf.net/lessfs/lessfs-%rversion.tar.gz
URL:            http://lessfs.sourceforge.net
Group:          System/Filesystems
License:        GPL-3.0
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  mhash-devel
BuildRequires:  openssl-devel
BuildRequires:  fuse-devel >= 2.8.0
BuildRequires:  pkgconfig
BuildRequires:  libtokyocabinet-devel >= 1.4.21
BuildRequires:  libbz2-devel
%if 0%{?suse_version} >= 1140
BuildRequires:  libdb-4_8-devel
%else
BuildRequires:  db-devel
%endif

%description
Lessfs is an userspace (fuse) inline data de-duplicating filesystem for Linux
that includes support for lzo or QuickLZ compression and encryption.

%prep
%setup -qn lessfs-%rversion

find . -type d -name CVS -exec rm -Rf "{}" "+"
%__mv copying COPYING
%__chmod 0644 COLLISION.probability ChangeLog COPYING README* FAQ etc/*

%build
%configure \
%if 0%{?suse_version} >= 1000
    --with-crypto
%endif

make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-,root,root)
%doc ChangeLog COLLISION.probability COPYING FAQ README*
%doc etc
%{_bindir}/lessfs
%{_sbindir}/lessfsck
%{_sbindir}/listdb
%{_sbindir}/mklessfs
%{_sbindir}/replogtool
%{_mandir}/man1/lessfs.1*
%{_mandir}/man1/replogtool.1*
%changelog
* Wed Mar 19 2014 avvissu@yandex.ru
- Update to 1.7.0:
  * add BuildRequires:  libbz2-devel
- [Fixed] SLE: Missing required packages:
  * add BuildRequires: fuse-devel libtokyocabinet-devel db-devel
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
- Restore build: libdb-devel as BuildRequires, add new files
* Thu Feb 16 2012 marek.stopka@stopkaconsulting.eu
- Update to version 1.6.0-pre0
* Tue Feb 22 2011 crrodriguez@opensuse.org
- Update to version 1.3.3.1, multiple bugfixes and
  performance improvements
* Fri Dec 24 2010 pascal.bleser@opensuse.org
- update to 1.2.2.6:
  * fixes a NULL pointer dereference
* Wed Dec 22 2010 pascal.bleser@opensuse.org
- update to 1.2.2.4:
  * improves a part of the cache eviction code in lessfs: when you copy a large number of small files that exceed the read cache size then lessfs needs to remove entries from the cache -- in this case the new code improves the performance by 40%%
* Sun Dec 19 2010 pascal.bleser@opensuse.org
- update to 1.2.2.3:
  * improves the performance of copying small files (metadata operations) by at least 30~50%%
- changes from 1.2.2.2:
  * enables some sane cache settings by default
  * solves a problem with sending the replication backlog
- changes from 1.2.2:
  * solved some minor configuration problems with replication
* Mon Nov  1 2010 pascal.bleser@opensuse.org
- update to 1.2.0:
  * improves metadata performance by approximately 8%%
* Wed Oct 27 2010 pascal.bleser@opensuse.org
- update to 1.1.9.10:
  * improves the performance for metadata operations
  * a metadata cache layer has been added which typically increases copying of small files with a factor 12
  * fixes a memory leak when lessfs was used with encryption enabled
  * a routine used for debugging was still active even when lessfs was compiled without --enable-debug: as a result the normal write speed has now increased a bit as well
* Wed Sep 29 2010 pascal.bleser@opensuse.org
- update to 1.1.9.1:
  * a memory corruption bug in the replication code which would garble the replication log as well as general replication improvements
  * lessfs now maintains accurate information on st_blocks of the stat structure: when used with file_io lessfs_stats now reports the right amount of bytes for the actual size of a file; even when this file has been truncated
* Sat Sep 25 2010 pascal.bleser@opensuse.org
- update to 1.1.9:
  * new features:
    + lessfs now supports asynchronous master/slave replication
    + replication can be enabled and disabled with a simple ‘ echo 1 >/.lessfs/replication/enabled’ where 1 is enabled and 0 is disabled
    + lessfs uses CRC32 checksums to ensure data integrity during data transfer between master and slave
    + see the README.replication file in the distribution for more details
    + replication should still be considered alpha code
  * improvements:
    + the background delete/truncation code has stabilized to the point where it will become the default with the next release
* Mon Sep 20 2010 pascal.bleser@opensuse.org
- update to 1.1.8:
  * a number of small bug fixes
  * improved truncation code:
    + lessfs can now truncate files as a background process
    + files that are being truncated are no longer read/write locked but are now only write locked
    + during truncation a file with the inodenumber of the truncated file as filename will be visible in /.lessfs/locks/ to indicate that the inode is being processed
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- update to 1.1.6:
  - adds alpha quality synchronous replication as a master/slave configuration, with the slave being read-only
  - adds background delete: when enabled lessfs will spawn a background thread that will take care of the truncation/delete task
* Tue Aug 10 2010 pascal.bleser@opensuse.org
- update to 1.1.5:
  * improves crash recovery
  * solves a potential deadlock when lessfs is used with samba
  * lessfs now inserts test transactions in the databases when lessfs is mounted:
    + when a transactions fails the database it automatically optimized
    + instead of halting when finding ‘non fatal inconsistency’ lessfs will now repair the problem at runtime and log the inode and blocknr of the file that has been corrupted
- changes from 1.1.3:
  * fixes a problem where lessfs would leave orphaned data chunks in the system under high load
  * a number of issues with lessfschk has also been solved
* Thu Jul  8 2010 pascal.bleser@opensuse.org
- update to 1.1.2:
  * adds support for many different hashes including SHA-256, tiger, and whirlpool (64 bytes)
  * compression has been improved and many compression algorithms are now available, including bzip, gzip, lzo, and deflate
  * the file_io backend supports encryption
  * performance has increased to a level where lessfs outperforms many of its rivals when it comes to write throughput
* Wed Mar 31 2010 pascal.bleser@opensuse.org
- update to 1.0.8:
  * users who are planning to upgrade from earlier lessfs versions without transaction support should only use this version when they use the file_io backend: YOU WILL LOOSE DATA when you upgrade an older lessfs version to lessfs-1.0.4..lessfs-1.0.7 when you use the file_io backend!
  * enables lessfs to be mounted without the need to specify other options then the configuration file and the mountpoint (please consult the manual for more details)
  * a bug in lessfs_read has been found by extensive testing: in cases where a sparse block of data would be followed by a normal block, lessfs_read would return wrong data in some cases
  * added automatic migration support for older lessfs versions
- changes from 1.0.7:
  * fixes a problem where data copied from windows to lessfs (samba) would show the wrong nr of blocks -- this would result in du reporting wrong disk usage numbers
* Tue Mar 16 2010 pascal.bleser@opensuse.org
- update to 1.0.6:
  * fixes a segfault that may occur when lessfs is used without
    transactions enabled: the segfault occurs when lessfs is
    unmounted after closing the databases (the impact of the bug is
    therefore low)
* Sun Mar  7 2010 pascal.bleser@opensuse.org
- update to 1.0.5:
  * fixes some minor bugs that are related to logging only
* Fri Mar  5 2010 pascal.bleser@opensuse.org
- update to 1.0.4:
  * enables support for transactions/check pointing
  * lessfs no longer needs fsck after a crash
  * also new is the ability to run a program when disk space drops
    below a certain amount of space; this program can be used to
    free up space when the tokyocabinet datastore is used
* Wed Dec 30 2009 pascal.bleser@opensuse.org
- update to 1.0.0:
  * license information has been added to the top of every file
  * the license information has been updated for QuickLZ after
    contacting the author
  * a bug where lessfs would crash upon defragmentation when the
    file_io backend had been selected has been fixed
* Mon Dec 21 2009 pascal.bleser@opensuse.org
- update to 0.9.6:
  * fixes an erroneous free() that could crash lessfs upon startup
    when the tiger hash was selected
  * changes mklessfs so that it supports automatic directory
    creation and database overwrites
  * mklessfs now has improved error reporting
* Wed Dec 16 2009 pascal.bleser@opensuse.org
- update to 0.9.4:
  * fixes two memory leaks that are related to hardlink operations
    and one other memory leak in file_io
  * solves a problem with cp -a caused by not initializing
    st_[a/c/m]time.tv_nsec
* Sat Dec 12 2009 pascal.bleser@opensuse.org
- update to 0.9.2:
  * fixes some problems where permissions were not properly set on
    open files
  * solves a problem with the link count of directories
  * performance for some meta data operations has improved
* Thu Dec 10 2009 pascal.bleser@opensuse.org
- update to 0.9.0:
  * passes all the fsx-linux tests
  * has been confirmed that this release fixes the problems that
    people were reporting with rsync
* Mon Nov 16 2009 pascal.bleser@opensuse.org
- update to 0.8.3:
  * fixes a major bug in the truncation code: would cause lessfs to
    crash when used with ccrypt or rsync --inplace
* Sun Nov  8 2009 pascal.bleser@opensuse.org
- update to 0.8.1:
  * fixes a bug that causes mklessfs to segfault when DEBUG is not
    set in the configuration file
  * fsck for lessfs is now available: lessfsck can be used to
    check, optimize and repair a lessfs filesystem; lessfsck only
    supports the tc data store for now -- please note that lessfsck
    is still under active development
* Tue Oct 27 2009 pascal.bleser@opensuse.org
- update to 0.8.0:
  * fixes a possible segfault when lessfs is used with lzo
    compression
  * fixes a problem when compiling lessfs without encryption on a
    system without openssl-devel
  * enhances the logging facility
  * performance has improved on higher latency storage like drbd or
    iscsi
  * reduces the number of fsync operations when sync_relax>0, which
    is needed for syncing many small files with, for example, rsync
* Fri Oct 16 2009 pascal.bleser@opensuse.org
- update to 0.7.5:
  * fixes a segfault on a free after unmounting lessfs without
    encryption support
  * fixes a problem that could lead to a deadlock when using the
    file_io backend with NFS
  * performance improvement changed a mutex lock for a spinlock,
    which enhances data throughput when the data is being committed to disk
* Tue Oct 13 2009 pascal.bleser@opensuse.org
- update to 0.7.4:
  * introduces a new hash named Blue Midnight Whish, a very fast
    hash that increases lessfs performance significantly
* Wed Oct  7 2009 pascal.bleser@opensuse.org
- update to 0.7.2:
  * fixes a typo in lib_tc.c that could potentially lead to data
    corruption
  * minor performance enhancement
* Mon Oct  5 2009 pascal.bleser@opensuse.org
- update to 0.7.1:
  * a complete new way to store data has been introduced:
    + the file_io backend has some advantages over tokyocabinet for
    storing the actual data blocks; although the performance
    should not differ much from the tokyocabinet database, it has
    lower memory requirements, especially with very large data
    sets
    + the file_io backend also allows lessfs to use a raw device as
    data storage, although this is not recommended at this time
  * this release also increases the throughput in general
  * fixes one minor bug with calculating the cache size
* Mon Sep  7 2009 pascal.bleser@opensuse.org
- initial package: 0.6.1
